package com.chy.borrow.config;

import com.baomidou.mybatisplus.generator.config.querys.DMQuery;
import com.baomidou.mybatisplus.generator.config.querys.PostgreSqlQuery;
import org.springframework.stereotype.Component;

/**
 * @version 1.0.0
 * @time 2021/8/3 13:22
 * @auther zk
 */
@Component
public class MyPostgreSqlQuery extends PostgreSqlQuery {
    private int flag = 1;
    @Override
    public String tableName() {
        if (flag == 1) {
            flag++;
            // 有歧义的列名[TABLE_NAME] 解决方案
            return "T1.TABLE_NAME";
        } else {
            // 列无效 解决方案
            return "TABLE_NAME";
        }
    }
}
